# Class CIM_SwitchesAmong
extends CIM_ForwardsAmong

A SwitchService switches frames between SwitchPorts. This association makes that relationship explicit.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceSAPDependency
|
+--CIM_ForwardsAmong
|
+--CIM_SwitchesAmong

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A SwitchService switches frames between SwitchPorts. This association makes that relationship explicit.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SwitchesAmong | CIM_SwitchPort
Dependent | CIM_SwitchesAmong | CIM_SwitchService

## Class Methods